#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [
    'tldextract==2.2.2'
]

setup(
    author="Sarah Bird",
    author_email='sbird@mozilla.com',
    python_requires='>=3.6',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: Mozilla Public License 2.0 (MPL 2.0)',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="A collection of util functions for extracting domains from urls.",
    install_requires=requirements,
    license="MPL 2.0",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='domain_utils',
    name='domain_utils',
    packages=find_packages(include=['domain_utils', 'domain_utils.*']),
    url='https://github.com/mozilla/domain_utils',
    version='0.7.0',
    zip_safe=False,
)
